Bug 1569430 - [OSP12] Initial connection from neutron-server to rabbitmq takes longer time and trigger timeout and Instance creation eventually failed.
Summary: [OSP12] Initial connection from neutron-server to rabbitmq takes longer time ...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: python-amqp
Version: 12.0 (Pike)
Hardware: x86_64
OS: Linux
high
high
Target Milestone: ---
: 12.0 (Pike)
Assignee: John Eckersberg
QA Contact: Marian Krcmarik
URL:
Whiteboard:
: 1599784 (view as bug list)
Depends On:
Blocks: 1607962 1607963
TreeView+ depends on / blocked
 
Reported: 2018-04-19 09:29 UTC by Masaki Furuta
Modified: 2020-10-26 12:01 UTC (History)
17 users (show)

Fixed In Version: python-amqp-2.3.2-3.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1607962 1607963 (view as bug list)
Environment:
Last Closed: 2019-01-11 16:26:38 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 1599766 0 high CLOSED py-amqp will try to resolve hostnames through nameservers unless they have both IPv4 and IPv6 entries in /etc/hosts lead... 2021-02-22 00:41:40 UTC

Comment 37 Alan Pevec 2018-07-23 13:55:36 UTC
Backport of the fix was updated in RDO / CBS build http://cbs.centos.org/koji/buildinfo?buildID=23161

python-amqp-2.1.4-3.el7

* Thu Jul 12 2018 Alfredo Moralejo <amoralej@redhat.com> - 2.1.4-3 - Update patch "Don't send AAAA DNS request when domain resolved to IPv4" to merged version

Comment 42 John Eckersberg 2018-07-24 16:15:56 UTC
I've rebased for osp14 in bug 1607963, we can tag that same build back for 13/12.  Also we can rebase RDO to the same thing.  I tested it on osp13 and everything looks fine to me.

Comment 43 John Eckersberg 2018-07-24 17:51:53 UTC
review for rdo rebase to testing: https://review.rdoproject.org/r/#/c/14998/

Comment 44 John Eckersberg 2018-08-03 13:10:03 UTC
*** Bug 1599784 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.